Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.util
Class InputUtils

    java.lang.Object
      org.ajax4jsf.util.InputUtils

    public final class InputUtils

extends java.lang.Object

Author:
  Maksim Kaszynski, Manfred Geiler

Field Summary
`static java.lang.String` | `EMPTY_STRING`
`static java.lang.Object` | `NOTHING`

Method Summary
`static java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`
`static java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`static boolean` | `isDisabled(javax.faces.component.UIComponent component)`
`static boolean` | `isReadOnly(javax.faces.component.UIComponent component)`
`static boolean` | `isTrue(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_STRING

    public static final java.lang.String EMPTY_STRING

### NOTHING

    public static final java.lang.Object NOTHING

Method Detail

### isTrue

    public static boolean isTrue(java.lang.Object obj)

### isDisabled

    public static boolean isDisabled(javax.faces.component.UIComponent component)

### isReadOnly

    public static boolean isReadOnly(javax.faces.component.UIComponent component)

### getConvertedValue

    public static java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                                     javax.faces.component.UIComponent component,
                                                     java.lang.Object submittedValue)
                                              throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedStringValue

    public static java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent component,
                                                           java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.